Uploaded image for project: 'CDAP'
  1. CDAP
  2. CDAP-674

CDAP Clients no longer have versions in code examples

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 2.5.2
    • Fix Version/s: 3.1.0
    • Component/s: Docs
    • Labels:
      None
    • Rank:
      1|hzyhin:

      Description

      In https://github.com/caskdata/cdap-clients/blob/develop/cdap-authentication-clients/java/README.md

      the usage statement has

      <version>{version}</version>

      Previous versions were completed, such as "1.0.1". How are users to know what version to put in?

      The "develop" branch should always be the version that works with the current downloadable version of CDAP. It will be the version that is synchronized by the documentation build process.

      The versions should be put in the develop version, unless we change the GitHub repos to display a different branch as the default. (This can be done for each repo.)

      This affects:

      CDAP File DropZone:
      https://github.com/caskdata/cdap-ingest/tree/develop/cdap-file-drop-zone

      CDAP File Tailer:
      https://github.com/caskdata/cdap-ingest/tree/develop/cdap-file-tailer

      CDAP Stream Client for Java:
      https://github.com/caskdata/cdap-ingest/tree/develop/cdap-stream-clients/java

      CDAP Authentication Client for Java:
      https://github.com/caskdata/cdap-clients/blob/develop/cdap-authentication-clients/java/README.md

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                John John Jackson
                Reporter:
                John John Jackson
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: